RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1909904 - [RFE] Provide method to export commands to create all fence devices
Summary: [RFE] Provide method to export commands to create all fence devices
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: pcs
Version: 8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 8.7
Assignee: Ondrej Mular
QA Contact: cluster-qe@redhat.com
Steven J. Levine
URL:
Whiteboard:
Depends On: 1874624
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-22 01:16 UTC by Chris Feist
Modified: 2022-11-08 09:23 UTC (History)
12 users (show)

Fixed In Version: pcs-0.10.13-1.el8
Doc Type: Enhancement
Doc Text:
.New `pcs stonith config` command option to display the `pcs` commands that re-create configured fence devices The `pcs stonith config` command now accepts the `--output-format=cmd` option. Specifying this option displays the `pcs` commands you can use to re-create configured fence devices on a different system.
Clone Of: 1874624
: 2058252 (view as bug list)
Environment:
Last Closed: 2022-11-08 09:12:53 UTC
Type: Bug
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 5364341 0 None None None 2021-02-11 13:45:23 UTC
Red Hat Product Errata RHSA-2022:7447 0 None None None 2022-11-08 09:13:11 UTC

Comment 9 Ondrej Mular 2022-04-06 06:17:00 UTC
Upstream patch: https://github.com/ClusterLabs/pcs/commit/bb01e77511909efe6513c5e212bfc4d70cfeb64f
Note: This BZ is resolved by the same patch as bz#1874624

Test:
[root@rhel87 pcs]# pcs stonith create stonith1 fence_ipmilan
[root@rhel87 pcs]# pcs stonith config stonith1 --output-format=cmd
pcs stonith create --no-default-ops --force -- stonith1 fence_ipmilan \
  op \
    monitor interval=60s id=stonith1-monitor-interval-60s

Comment 10 Miroslav Lisik 2022-05-26 08:36:30 UTC
DevTestResults:

[root@r8-node-01 ~]# rpm -q pcs
pcs-0.10.13-1.el8.x86_64


[root@r8-node-01 ~]# pcs stonith create fence-r8-node-01 fence_xvm pcmk_host_check="static-list" pcmk_host_list="r8-node-01" pcmk_host_map="r8-node-01:r8-node-01"
[root@r8-node-01 ~]# pcs stonith config fence-r8-node-01 --output-format=cmd
pcs stonith create --no-default-ops --force -- fence-r8-node-01 fence_xvm \
  pcmk_host_check=static-list pcmk_host_list=r8-node-01 pcmk_host_map=r8-node-01:r8-node-01 \
  op \
    monitor interval=60s id=fence-r8-node-01-monitor-interval-60s

Comment 20 Steven J. Levine 2022-08-30 21:38:56 UTC
Adding the doc text for release note taken from RHEL 9 version of this feature:

https://bugzilla.redhat.com/show_bug.cgi?id=2058252

Comment 22 errata-xmlrpc 2022-11-08 09:12:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: pcs security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:7447


Note You need to log in before you can comment on or make changes to this bug.